Installs the Oracle Enterprise Manager Agent.

This defined type supports the following versions of Oracle:
- 12.1.0.4
- 12.1.0.5
- 13.1.0.0
- 13.2.0.0

Here is an example:

```puppet
ora_install::installem_agent{ 'Install em agent':
  version                     => '13.2.0.0',
  install_type                => 'agentPull',
  install_version             => '13.2.0.0.0',
  oracle_base_dir             => '/u01/app',
  agent_base_dir              => '/u01/app/agent/product',
  agent_instance_home_dir     => '/u01/app/agent/product/agent_inst',
  agent_registration_password => 'regme',
  agent_port                  => 3872,
  sysman_password             => 'Welkom01',
  oms_host                    => 'em1320.example.com',
  oms_port                    => 7799,
  em_upload_port              => 1159,
  logoutput                   => true,
}
```

<%- include_attributes [
  :agent_base_dir,
  :agent_instance_home_dir,
  :agent_port,
  :agent_registration_password,
  :download_dir,
  :em_upload_port,
  :group,
  :install_platform,
  :install_type,
  :install_version,
  :log_output,
  :logoutput,
  :oms_host,
  :oms_port,
  :ora_inventory_dir,
  :oracle_base_dir,
  :source,
  :sysman_password,
  :sysman_user,
  :user,
  :version
]%>
