Manages an entry in a `tnsnames.ora` file.

Here is an examples on how to use this:

```puppet
ora_install::tnsnames{'entry':
  oracle_home          => '/u01/app/oracle/product/12.2.0.1/db_home1',
  user                 => 'oracle',
  group                => 'dba',
  server               => { myserver1 => { host => DB122a.example.nl, port => '1521', protocol => 'TCP' },
                            myserver2 => { host => DB122b.example.nl, port => '1521', protocol => 'TCP' }},
  connect_service_name => 'DB122.domain.local',
  connect_server       => 'DEDICATED',
  entry_type           => 'tnsname',
}
```

<%- include_attributes [
  :connect_server,
  :connect_service_name,
  :entry_type,
  :failover,
  :group,
  :loadbalance,
  :oracle_home,
  :server,
  :user
]%>
