#!/opt/puppetlabs/puppet/bin/ruby
require 'json'
require 'open3'
require 'puppet'

params = JSON.parse(STDIN.read)
#
# Use loadpath specfied in the params
#
$LOAD_PATH << "#{params['_installdir']}/easy_type/lib"
$LOAD_PATH << "#{params['_installdir']}/ora_install/lib"

require 'easy_type'
require 'puppet_x/enterprisemodules/ora_install/tasks'
extend ::PuppetX::EnterpriseModules::OraInstall::Tasks

sid    = params.fetch('sid') { default_database_sid}
type   = params.fetch('type') { 'normal'}

begin
  shutdown(sid, type)
  exit 0
rescue Puppet::Error => e
  puts({ status: 'failure', error: e.message }.to_json)
  exit 1
end
